VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "XLXN_32"
        SIGNAL "XLXN_33(11:0)"
        SIGNAL "XLXN_34"
        SIGNAL "XLXN_35"
        SIGNAL "XLXN_37"
        SIGNAL "XLXN_38"
        SIGNAL "clk25"
        SIGNAL "disp(15:0)"
        SIGNAL "r"
        SIGNAL "g"
        SIGNAL "b"
        SIGNAL "i"
        SIGNAL "hblk"
        SIGNAL "vblk"
        SIGNAL "row(9:0)"
        SIGNAL "sw(7:0)"
        SIGNAL "XLXN_69"
        SIGNAL "rst"
        SIGNAL "sw(7:6)"
        SIGNAL "clk48"
        SIGNAL "col(9:0)"
        SIGNAL "rxd"
        SIGNAL "rx0"
        SIGNAL "txd"
        SIGNAL "tx0"
        SIGNAL "txoe"
        SIGNAL "led(7:0)"
        SIGNAL "pb(7:0)"
        SIGNAL "sw(0)"
        SIGNAL "sw(7)"
        SIGNAL "sw(6)"
        SIGNAL "led(0)"
        SIGNAL "led(7)"
        SIGNAL "led(6)"
        SIGNAL "sw(1)"
        SIGNAL "sw(3)"
        SIGNAL "sw(5)"
        SIGNAL "sw(2)"
        SIGNAL "sw(4)"
        SIGNAL "led(1)"
        SIGNAL "led(3)"
        SIGNAL "led(4)"
        SIGNAL "led(5)"
        SIGNAL "led(2)"
        SIGNAL "XLXN_71"
        PORT Input "clk25"
        PORT Output "disp(15:0)"
        PORT Output "r"
        PORT Output "g"
        PORT Output "b"
        PORT Output "i"
        PORT Input "hblk"
        PORT Input "vblk"
        PORT Input "row(9:0)"
        PORT Input "sw(7:0)"
        PORT Input "rst"
        PORT Input "clk48"
        PORT Input "col(9:0)"
        PORT Input "rxd"
        PORT Input "rx0"
        PORT Output "txd"
        PORT Output "tx0"
        PORT Output "txoe"
        PORT Output "led(7:0)"
        PORT Input "pb(7:0)"
        BEGIN BLOCKDEF "life"
            TIMESTAMP 2002 7 5 18 0 12
            RECTANGLE N 64 -896 320 0 
            LINE N 64 -864 0 -864 
            LINE N 64 -800 0 -800 
            LINE N 64 -736 0 -736 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -608 0 -608 
            RECTANGLE N 0 -620 64 -596 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -300 64 -276 
            LINE N 320 -96 384 -96 
            LINE N 320 -544 384 -544 
            LINE N 320 -224 384 -224 
            LINE N 320 -864 384 -864 
            RECTANGLE N 320 -876 384 -852 
            LINE N 320 -672 384 -672 
            RECTANGLE N 320 -684 384 -660 
            LINE N 320 -608 384 -608 
            RECTANGLE N 320 -620 384 -596 
        END BLOCKDEF
        BEGIN BLOCKDEF "ram4096x1"
            TIMESTAMP 2002 7 5 18 0 12
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -32 0 -32 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
        END BLOCKDEF
        BEGIN BLOCKDEF "color"
            TIMESTAMP 2002 7 5 18 0 10
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF "dummy"
            TIMESTAMP 2002 7 5 18 0 11
            RECTANGLE N 64 -320 320 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -288 384 -288 
            LINE N 320 -208 384 -208 
            LINE N 320 -128 384 -128 
            LINE N 320 -48 384 -48 
            RECTANGLE N 320 -60 384 -36 
        END BLOCKDEF
        BEGIN BLOCKDEF "buf"
            TIMESTAMP 2001 2 2 12 51 12
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF "gnd"
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF "inv"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_1" "life"
            PIN "clk" "clk25"
            PIN "rst" "rst"
            PIN "run" "XLXN_71"
            PIN "hblk" "hblk"
            PIN "vblk" "vblk"
            PIN "row(9:0)" "row(9:0)"
            PIN "rdd_a(0:0)" "XLXN_69"
            PIN "rdd_b(0:0)" "XLXN_32"
            PIN "d" "XLXN_38"
            PIN "wren_a" "XLXN_35"
            PIN "wren_b" "XLXN_37"
            PIN "gen(15:0)" "disp(15:0)"
            PIN "adx(11:0)" "XLXN_33(11:0)"
            PIN "wrd(0:0)" "XLXN_34"
        END BLOCK
        BEGIN BLOCK "XLXI_2" "ram4096x1"
            PIN "clk" "clk25"
            PIN "we" "XLXN_35"
            PIN "addr(11:0)" "XLXN_33(11:0)"
            PIN "di(0:0)" "XLXN_34"
            PIN "do(0:0)" "XLXN_69"
        END BLOCK
        BEGIN BLOCK "XLXI_3" "ram4096x1"
            PIN "clk" "clk25"
            PIN "we" "XLXN_37"
            PIN "addr(11:0)" "XLXN_33(11:0)"
            PIN "di(0:0)" "XLXN_34"
            PIN "do(0:0)" "XLXN_32"
        END BLOCK
        BEGIN BLOCK "XLXI_4" "color"
            PIN "d" "XLXN_38"
            PIN "pal(1:0)" "sw(7:6)"
            PIN "r" "r"
            PIN "g" "g"
            PIN "b" "b"
            PIN "i" "i"
        END BLOCK
        BEGIN BLOCK "XLXI_5" "dummy"
            PIN "clk48" "clk48"
            PIN "col(9:0)" "col(9:0)"
            PIN "rxd" "rxd"
            PIN "rx0" "rx0"
            PIN "pb(7:0)" "pb(7:0)"
            PIN "txd" "txd"
            PIN "tx0" "tx0"
            PIN "txoe" "txoe"
            PIN "led(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_11" "buf"
            PIN "I" "sw(0)"
            PIN "O" "led(0)"
        END BLOCK
        BEGIN BLOCK "XLXI_12" "buf"
            PIN "I" "sw(7)"
            PIN "O" "led(7)"
        END BLOCK
        BEGIN BLOCK "XLXI_13" "buf"
            PIN "I" "sw(6)"
            PIN "O" "led(6)"
        END BLOCK
        BEGIN BLOCK "XLXI_14" "buf"
            PIN "I" "sw(1)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_15" "buf"
            PIN "I" "sw(2)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_16" "buf"
            PIN "I" "sw(3)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_17" "buf"
            PIN "I" "sw(4)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_18" "buf"
            PIN "I" "sw(5)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_20" "gnd"
            PIN "G" "led(1)"
        END BLOCK
        BEGIN BLOCK "XLXI_21" "gnd"
            PIN "G" "led(2)"
        END BLOCK
        BEGIN BLOCK "XLXI_22" "gnd"
            PIN "G" "led(3)"
        END BLOCK
        BEGIN BLOCK "XLXI_23" "gnd"
            PIN "G" "led(4)"
        END BLOCK
        BEGIN BLOCK "XLXI_24" "gnd"
            PIN "G" "led(5)"
        END BLOCK
        BEGIN BLOCK "XLXI_25" "inv"
            PIN "I" "sw(0)"
            PIN "O" "XLXN_71"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2688 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH "r"
            WIRE 2144 1088 2384 1088
            WIRE 2384 1088 2400 1088
        END BRANCH
        BEGIN BRANCH "g"
            WIRE 2144 1152 2384 1152
            WIRE 2384 1152 2400 1152
        END BRANCH
        BEGIN BRANCH "b"
            WIRE 2144 1216 2384 1216
            WIRE 2384 1216 2400 1216
        END BRANCH
        BEGIN BRANCH "i"
            WIRE 2144 1280 2384 1280
            WIRE 2384 1280 2400 1280
        END BRANCH
        BEGIN BRANCH "hblk"
            WIRE 160 1088 176 1088
            WIRE 176 1088 960 1088
        END BRANCH
        BEGIN BRANCH "vblk"
            WIRE 160 1152 176 1152
            WIRE 176 1152 960 1152
        END BRANCH
        BEGIN BRANCH "row(9:0)"
            WIRE 160 1024 176 1024
            WIRE 176 1024 960 1024
        END BRANCH
        BEGIN BRANCH "XLXN_38"
            WIRE 1344 1088 1744 1088
            WIRE 1744 1088 1760 1088
        END BRANCH
        BEGIN BRANCH "XLXN_37"
            WIRE 1344 960 1744 960
            WIRE 1744 960 1760 960
        END BRANCH
        BEGIN BRANCH "XLXN_35"
            WIRE 1344 640 1744 640
            WIRE 1744 640 1760 640
        END BRANCH
        BEGIN BRANCH "XLXN_34"
            WIRE 1344 576 1440 576
            WIRE 1440 576 1760 576
            WIRE 1440 576 1440 896
            WIRE 1440 896 1760 896
        END BRANCH
        BEGIN BRANCH "XLXN_33(11:0)"
            WIRE 1344 512 1520 512
            WIRE 1520 512 1760 512
            WIRE 1520 512 1520 832
            WIRE 1520 832 1760 832
        END BRANCH
        BEGIN BRANCH "disp(15:0)"
            WIRE 1344 320 2384 320
            WIRE 2384 320 2400 320
        END BRANCH
        BEGIN BRANCH "sw(7:6)"
            WIRE 352 1280 800 1280
            WIRE 800 1280 1760 1280
            BEGIN DISPLAY 800 1280 ATTR "Name"
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "rst"
            WIRE 160 160 736 160
            WIRE 736 160 736 384
            WIRE 736 384 960 384
            WIRE 736 160 2240 160
        END BRANCH
        BEGIN BRANCH "clk25"
            WIRE 176 96 800 96
            WIRE 800 96 1600 96
            WIRE 1600 96 1680 96
            WIRE 1680 96 1680 448
            WIRE 1680 448 1760 448
            WIRE 1680 96 2240 96
            WIRE 1600 96 1600 768
            WIRE 1600 768 1760 768
            WIRE 800 96 800 320
            WIRE 800 320 960 320
        END BRANCH
        BEGIN BRANCH "sw(7:0)"
            WIRE 144 320 256 320
            WIRE 256 320 256 432
            WIRE 256 432 256 448
            WIRE 256 448 256 528
            WIRE 256 528 256 608
            WIRE 256 608 256 640
            WIRE 256 640 256 688
            WIRE 256 688 256 768
            WIRE 256 768 256 848
            WIRE 256 848 256 928
            WIRE 256 928 256 1280
            WIRE 256 1280 256 1440
        END BRANCH
        BEGIN BRANCH "clk48"
            WIRE 2080 1536 2096 1536
            WIRE 2096 1536 2112 1536
            WIRE 2112 1536 2128 1536
        END BRANCH
        BEGIN INSTANCE "XLXI_5" 2128 1824 R0
        END INSTANCE
        BEGIN BRANCH "col(9:0)"
            WIRE 2080 1600 2096 1600
            WIRE 2096 1600 2112 1600
            WIRE 2112 1600 2128 1600
        END BRANCH
        BEGIN BRANCH "rxd"
            WIRE 2080 1664 2096 1664
            WIRE 2096 1664 2112 1664
            WIRE 2112 1664 2128 1664
        END BRANCH
        BEGIN BRANCH "rx0"
            WIRE 2080 1728 2096 1728
            WIRE 2096 1728 2112 1728
            WIRE 2112 1728 2128 1728
        END BRANCH
        BEGIN BRANCH "txd"
            WIRE 2512 1536 2560 1536
            WIRE 2560 1536 2576 1536
        END BRANCH
        BEGIN BRANCH "tx0"
            WIRE 2512 1616 2560 1616
            WIRE 2560 1616 2576 1616
        END BRANCH
        BEGIN BRANCH "txoe"
            WIRE 2512 1696 2560 1696
            WIRE 2560 1696 2576 1696
        END BRANCH
        BEGIN BRANCH "pb(7:0)"
            WIRE 2080 1792 2112 1792
            WIRE 2112 1792 2128 1792
        END BRANCH
        BUSTAP 256 1280 352 1280
        BUSTAP 256 448 352 448
        IOMARKER 2080 1792 "pb(7:0)" R180 28
        IOMARKER 2080 1728 "rx0" R180 28
        IOMARKER 2080 1664 "rxd" R180 28
        IOMARKER 2080 1600 "col(9:0)" R180 28
        IOMARKER 2576 1696 "txoe" R0 28
        IOMARKER 2576 1616 "tx0" R0 28
        IOMARKER 2576 1536 "txd" R0 28
        IOMARKER 2080 1536 "clk48" R180 28
        IOMARKER 144 320 "sw(7:0)" R180 28
        IOMARKER 160 160 "rst" R180 28
        IOMARKER 176 96 "clk25" R180 28
        IOMARKER 160 1152 "vblk" R180 28
        IOMARKER 160 1088 "hblk" R180 28
        IOMARKER 160 1024 "row(9:0)" R180 28
        IOMARKER 2400 1280 "i" R0 28
        IOMARKER 2400 1216 "b" R0 28
        IOMARKER 2400 1152 "g" R0 28
        IOMARKER 2400 1088 "r" R0 28
        IOMARKER 2400 320 "disp(15:0)" R0 28
        BEGIN INSTANCE "XLXI_2" 1760 672 R0
        END INSTANCE
        BEGIN INSTANCE "XLXI_3" 1760 992 R0
        END INSTANCE
        BEGIN INSTANCE "XLXI_4" 1760 1312 R0
        END INSTANCE
        BEGIN INSTANCE "XLXI_1" 960 1184 R0
        END INSTANCE
        BEGIN BRANCH "XLXN_69"
            WIRE 896 224 896 576
            WIRE 896 576 960 576
            WIRE 896 224 2240 224
            WIRE 2240 224 2240 576
            WIRE 2144 576 2240 576
        END BRANCH
        BEGIN BRANCH "XLXN_32"
            WIRE 880 896 960 896
            WIRE 880 896 880 1376
            WIRE 880 1376 2240 1376
            WIRE 2144 896 2240 896
            WIRE 2240 896 2240 1376
        END BRANCH
        INSTANCE "XLXI_13" 816 1712 R0
        BEGIN BRANCH "sw(6)"
            WIRE 640 1680 816 1680
            BEGIN DISPLAY 640 1680 ATTR "Name"
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "led(6)"
            WIRE 1040 1680 1280 1680
            WIRE 1280 1680 1344 1680
            BEGIN DISPLAY 1280 1680 ATTR "Name"
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_12" 816 1632 R0
        BEGIN BRANCH "led(7)"
            WIRE 1040 1600 1280 1600
            WIRE 1280 1600 1344 1600
            BEGIN DISPLAY 1280 1600 ATTR "Name"
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "sw(7)"
            WIRE 640 1600 816 1600
            BEGIN DISPLAY 640 1600 ATTR "Name"
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_11" 816 1552 R0
        BEGIN BRANCH "led(0)"
            WIRE 1040 1520 1280 1520
            WIRE 1280 1520 1344 1520
            BEGIN DISPLAY 1280 1520 ATTR "Name"
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "sw(0)"
            WIRE 640 1520 816 1520
            BEGIN DISPLAY 640 1520 ATTR "Name"
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "led(7:0)"
            WIRE 1440 1440 1504 1440
            WIRE 1440 1440 1440 1520
            WIRE 1440 1520 1440 1552
            WIRE 1440 1552 1440 1600
            WIRE 1440 1600 1440 1632
            WIRE 1440 1632 1440 1680
            WIRE 1440 1680 1440 1712
            WIRE 1440 1712 1440 1792
            WIRE 1440 1792 1440 1872
            WIRE 1440 1872 1440 1888
        END BRANCH
        IOMARKER 1504 1440 "led(7:0)" R0 28
        BUSTAP 1440 1520 1344 1520
        BUSTAP 1440 1600 1344 1600
        BUSTAP 1440 1680 1344 1680
        INSTANCE "XLXI_14" 400 560 R0
        INSTANCE "XLXI_15" 400 640 R0
        INSTANCE "XLXI_16" 400 720 R0
        INSTANCE "XLXI_18" 400 880 R0
        INSTANCE "XLXI_17" 400 800 R0
        BUSTAP 256 528 352 528
        BUSTAP 256 608 352 608
        BUSTAP 256 688 352 688
        BUSTAP 256 848 352 848
        BEGIN BRANCH "sw(1)"
            WIRE 352 528 384 528
            WIRE 384 528 400 528
            BEGIN DISPLAY 384 528 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "sw(3)"
            WIRE 352 688 384 688
            WIRE 384 688 400 688
            BEGIN DISPLAY 384 688 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "sw(5)"
            WIRE 352 848 384 848
            WIRE 384 848 400 848
            BEGIN DISPLAY 384 848 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "sw(2)"
            WIRE 352 608 384 608
            WIRE 384 608 400 608
            BEGIN DISPLAY 384 608 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 256 768 352 768
        BEGIN BRANCH "sw(4)"
            WIRE 352 768 384 768
            WIRE 384 768 400 768
            BEGIN DISPLAY 384 768 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1440 1552 1536 1552
        BUSTAP 1440 1632 1536 1632
        BUSTAP 1440 1712 1536 1712
        BUSTAP 1440 1792 1536 1792
        BUSTAP 1440 1872 1536 1872
        INSTANCE "XLXI_20" 1760 1488 M90
        INSTANCE "XLXI_21" 1760 1568 M90
        INSTANCE "XLXI_22" 1760 1648 M90
        INSTANCE "XLXI_23" 1760 1728 M90
        INSTANCE "XLXI_24" 1760 1808 M90
        BEGIN BRANCH "led(1)"
            WIRE 1536 1552 1584 1552
            WIRE 1584 1552 1632 1552
            BEGIN DISPLAY 1584 1552 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "led(2)"
            WIRE 1536 1632 1584 1632
            WIRE 1584 1632 1632 1632
            BEGIN DISPLAY 1584 1632 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "led(3)"
            WIRE 1536 1712 1584 1712
            WIRE 1584 1712 1632 1712
            BEGIN DISPLAY 1584 1712 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "led(4)"
            WIRE 1536 1792 1584 1792
            WIRE 1584 1792 1632 1792
            BEGIN DISPLAY 1584 1792 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "led(5)"
            WIRE 1536 1872 1584 1872
            WIRE 1584 1872 1632 1872
            BEGIN DISPLAY 1584 1872 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_25" 400 480 R0
        BEGIN BRANCH "sw(0)"
            WIRE 352 448 384 448
            WIRE 384 448 400 448
            BEGIN DISPLAY 384 448 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "XLXN_71"
            WIRE 624 448 960 448
        END BRANCH
    END SHEET
END SCHEMATIC
