--------------------------------------------------------------------------------
-- Copyright (c) 2001 by Trenz Electronic.
-- Duenner Kirchweg 77, 32257 Buende, Germany, www.trenz-electronic.de
--------------------------------------------------------------------------------
-- Project:     TE-XC2S Application Note: Game of Life
-- File:        dummy.vhd
-- Description: dummy entity to resolve schematic errors.
-- History:     2001sep12, FB, Created.
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity dummy is
	Port ( 
		clk48 : in  std_logic;
		rxd   : in  std_logic;
		rx0   : in  std_logic;
		pb    : in  std_logic_vector(7 downto 0);
		col   : in  std_logic_vector(9 downto 0);
		txd   : out std_logic;
		tx0   : out std_logic;
		txoe  : out std_logic;
		led   : out std_logic_vector(7 downto 0));
end dummy;

architecture Behavioral of dummy is
	
begin
	
	led<= pb;

end Behavioral;

--------------------------------------------------------------------------------
-- end of file

